hsmspeed.c File Reference
`#include "config.h"`
`#include <stdio.h>`
`#include <string.h>`
`#include <stdlib.h>`
`#include <unistd.h>`
`#include <pthread.h>`
`#include "libhsm.h"`
`#include <libhsmdns.h>`

Go to the source code of this file.

## Data Structures

struct | sign_arg_t

## Macros

#define | HSMSPEED_THREADS_MAX 2048

## Functions

hsm_repository_t * | parse_conf_repositories (const char *cfgfile)
int | main (int argc, char *argv[])

## Variables

ldns_algorithm | algorithm = LDNS_RSASHA1
const char * | algoname = "RSA/SHA1"
char * | progname = NULL

## Macro Definition Documentation

## HSMSPEED_THREADS_MAX

#define HSMSPEED_THREADS_MAX 2048

Definition at line 40 of file hsmspeed.c.

Referenced by main().

## Function Documentation

## main()

int main | ( | int | argc,
|  | char * | argv[] )

Definition at line 126 of file hsmspeed.c.

References algoname, ctx, sign_arg_t::ctx, hsm_close(), hsm_create_context(), hsm_destroy_context(), hsm_generate_rsa_key(), hsm_get_error(), hsm_get_key_id(), HSM_OK, hsm_open2(), hsm_prompt_pin(), hsm_remove_key(), HSMSPEED_THREADS_MAX, sign_arg_t::id, sign_arg_t::iterations, sign_arg_t::key, optarg, parse_conf_repositories(), and progname.

## parse_conf_repositories()

hsm_repository_t * parse_conf_repositories | ( | const char * | cfgfile | ) |

extern

Parse the repositories.

Definition at line 51 of file confparser.c.

Referenced by main().

## Variable Documentation

## algoname

const char* algoname = "RSA/SHA1"

Definition at line 44 of file hsmspeed.c.

Referenced by main().

## algorithm

ldns_algorithm algorithm = LDNS_RSASHA1

Definition at line 43 of file hsmspeed.c.

## progname

char* progname = NULL

Definition at line 46 of file hsmspeed.c.